sigmlgen.playerctrl

## Class PlayerSettings

- java.lang.Object
- - sigmlgen.playerctrl.PlayerSettings

-     public class PlayerSettings
      extends java.lang.Object

  The data from a SiGML `<player_settings>` element, that is, camera-location/direction/fov data and/or ambient motions flags.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayerSettings(org.w3c.dom.Element psel)` Constructs a new player settings record as specified by the given SiGML element.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AmbientMotionFlags` | `getAmbients()` Returns this record's ambient motions data if any, otherwise `null`.
    `AvatarSettings` | `getAvatarSettings()` Returns this record's avatar settings data if any, otherwise `null`.
    `CameraSettings` | `getCameraSettings()` Returns this record's camera settings data if any, otherwise `null`.
    `TimeSettings` | `getTimeSettings()` Returns this record's time settings data if any, otherwise `null`.
    `void` | `updateAvatarSettings(AvatarSettings newavr)` Updates the record's AvatarSettings.
    `void` | `updateCameraSettings(CameraSettings newcam)` Updates the record's CAmeraSettings.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlayerSettings

          public PlayerSettings(org.w3c.dom.Element psel)

      Constructs a new player settings record as specified by the given SiGML element.

  - ### Method Detail

    - #### getAvatarSettings

          public AvatarSettings getAvatarSettings()

      Returns this record's avatar settings data if any, otherwise `null`.

    - #### getTimeSettings

          public TimeSettings getTimeSettings()

      Returns this record's time settings data if any, otherwise `null`.

    - #### getCameraSettings

          public CameraSettings getCameraSettings()

      Returns this record's camera settings data if any, otherwise `null`.

    - #### getAmbients

          public AmbientMotionFlags getAmbients()

      Returns this record's ambient motions data if any, otherwise `null`.

    - #### updateAvatarSettings

          public void updateAvatarSettings(AvatarSettings newavr)

      Updates the record's AvatarSettings.

    - #### updateCameraSettings

          public void updateCameraSettings(CameraSettings newcam)

      Updates the record's CAmeraSettings.